Commit cf81ca6e authored by Guilhem Saurel's avatar Guilhem Saurel Committed by Joseph Mirabel
Browse files

[CMake] use OCTOMAP_FOUND

As on some systems, we don't have OCTOMAP_INCLUDE_DIRS &
OCTOMAP_LIBRARY_DIRS but OCTOMAP_INCLUDEDIR & OCTOMAP_LIBDIR, and
therefore we get:

-- Checking for module 'octomap >= 1.6'
--   Found octomap , version 1.9.0
-- Pkg-config module octomap v1.9.0 has been detected with success.
-- FCL does not use Octomap
parent 484a181b
......@@ -83,7 +83,7 @@ endif ()
search_for_boost()
# Optional dependencies
add_optional_dependency("octomap >= 1.6")
if (OCTOMAP_INCLUDE_DIRS AND OCTOMAP_LIBRARY_DIRS)
if (OCTOMAP_FOUND)
include_directories(SYSTEM ${OCTOMAP_INCLUDE_DIRS})
link_directories(${OCTOMAP_LIBRARY_DIRS})
SET(HPP_FCL_HAVE_OCTOMAP TRUE)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment